unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, Menus,
  StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    MainMenu1: TMainMenu;
    Memo1: TMemo;
    MenuItem1: TMenuItem;
    MenuItem10: TMenuItem;
    MenuItem11: TMenuItem;
    MenuItem12: TMenuItem;
    MenuItem2: TMenuItem;
    MenuItem3: TMenuItem;
    MenuItem4: TMenuItem;
    MenuItem5: TMenuItem;
    MnuEdit: TMenuItem;
    MenuItem6: TMenuItem;
    MenuItem7: TMenuItem;
    MenuItem8: TMenuItem;
    MenuItem9: TMenuItem;
    PopupMenu1: TPopupMenu;
    procedure Button1Click(Sender: TObject);
  private
    procedure MenuSetColor(Sender: TObject);

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.MenuSetColor(Sender: TObject);
begin
  ShowMessage('Set color');
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  menuitem: TMenuItem;
  i: Integer;
begin
  // Add a dividing line to separate the memo popuip items from the existing ones
  menuitem := TMenuItem.Create(MainMenu1);
  menuitem.Caption := '-';
  MnuEdit.Add(menuItem);

  // Add a new menu item
  for i := 0 to PopupMenu1.Items.Count-1 do begin
    menuitem := TMenuItem.Create(MainMenu1);
    menuitem.Caption := PopupMenu1.Items[i].Caption;
    menuitem.Hint := PopupMenu1.Items[i].Hint;
    menuitem.ImageIndex := PopupMenu1.Items[i].ImageIndex;
    menuitem.OnClick := PopupMenu1.Items[i].OnClick;
    MnuEdit.Add(menuItem);
  end;
end;


end.

